[Date Prev][Date Next] [Chronological] [Thread] [Top]

Re: (ITS#5860) slapd memeory leak under openldap 2.4

--On Thursday, January 22, 2009 10:01 AM -0800 Rodrigo Costa 
<rlvcosta@yahoo.com> wrote:

> Quanah,
> Just a correction about the man, it was incorrect since my man was
> getting from cache(and so from 2.3 version). Now it is ok.
> I would like a little more directions about how can be compiled openldap
> 2.4.13 with tcmalloc. Just need to include a lib path? Some configure
> parameter in openldap?

I use tcmalloc myself, so basically you go and build google-perf-tools, and 
then you preload the library before starting slapd.  I have a little 
startup script for slapd:

ulimit -n 32768
ulimit -c unlimited
export LD_PRELOAD=/opt/zimbra/tcmalloc/lib/libtcmalloc.so
exec /opt/zimbra/openldap/sbin/slapd "$@"



Quanah Gibson-Mount
Principal Software Engineer
Zimbra, Inc
Zimbra ::  the leader in open source messaging and collaboration